Bug 523373 - oops in ima_counts_put()
Summary: oops in ima_counts_put()
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 08:41 UTC by Kjartan Maraas
Modified: 2009-10-08 06:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-08 06:24:21 UTC


Attachments (Terms of Use)
please push to lkml.org (621.03 KB, image/jpeg)
2009-10-05 14:50 UTC, Mateusz M.
no flags Details

Description Kjartan Maraas 2009-09-15 08:41:21 UTC
Description of problem:

Got this in my log today some time after resuming from suspend:

Sep 15 10:16:08 localhost abrtd: Scanning syslog...
Sep 15 10:18:08 localhost abrtd: Scanning syslog...
Sep 15 10:18:58 localhost kernel: ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Sep 15 10:18:58 localhost kernel: ata5.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
Sep 15 10:18:58 localhost kernel:         cdb 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
Sep 15 10:18:58 localhost kernel:         res 55/24:07:04:04:04/00:00:00:00:00/a4 Emask 0x3 (HSM violation)
Sep 15 10:18:58 localhost kernel: ata5.00: status: { DRDY ERR }
Sep 15 10:18:58 localhost kernel: ata5: soft resetting link
Sep 15 10:18:58 localhost kernel: ata5.00: model number mismatch 'HL-DT-STCD-RW/DVD DRIVE GCC-4247N' != 'HL-DT-STCD-VW/DVD$DVIVE$GGC-4647N$ $ $ $'
Sep 15 10:18:58 localhost kernel: ata5.00: revalidation failed (errno=-19)
Sep 15 10:19:03 localhost kernel: ata5: soft resetting link
Sep 15 10:19:03 localhost kernel: ata5.00: model number mismatch 'HL-DT-STCD-RW/DVD DRIVE GCC-4247N' != 'HL-DT-STCD-VW/DVD$DVIVE$GGC-4647N$ $ $ $'
Sep 15 10:19:03 localhost kernel: ata5.00: revalidation failed (errno=-19)
Sep 15 10:19:03 localhost kernel: ata5.00: disabled
Sep 15 10:19:03 localhost kernel: ata5: EH complete
Sep 15 10:19:03 localhost kernel: ata5.00: detaching (SCSI 4:0:0:0)
Sep 15 10:19:03 localhost kernel: BUG: unable to handle kernel NULL pointer dereference at 00000072
Sep 15 10:19:03 localhost kernel: IP: [<c05db849>] ima_counts_put+0x2b/0x9b
Sep 15 10:19:03 localhost kernel: *pdpt = 0000000030c8d001 *pde = 0000000000000000
Sep 15 10:19:03 localhost kernel: Oops: 0000 [#1] SMP
Sep 15 10:19:03 localhost kernel: last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:01/power_supply/C1B3/charge_full
Sep 15 10:19:03 localhost kernel: Modules linked in: fuse rfcomm sco bridge stp llc bnep l2cap ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_codec_si3054 snd_hda_codec_analog arc4 snd_hda_intel ecb snd_hda_codec snd_hwdep snd_pcm iwl3945 sdhci_pci tifm_sd sdhci snd_timer iwlcore mac80211 snd cfg80211 btusb ppdev bluetooth mmc_core parport_pc tifm_7xx1 soundcore iTCO_wdt tifm_core snd_page_alloc rfkill yenta_socket rsrc_nonstatic parport irda iTCO_vendor_support crc_ccitt hp_accel lis3lv02d wmi serio_raw tpm_infineon joydev input_polldev tg3 i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Sep 15 10:19:03 localhost kernel:
Sep 15 10:19:03 localhost kernel: Pid: 1158, comm: hald-addon-stor Not tainted (2.6.31-0.204.rc9.fc12.i686.PAE #1) HP Compaq nc6400 (RM100ET#ABN)
Sep 15 10:19:03 localhost kernel: EIP: 0060:[<c05db849>] EFLAGS: 00010202 CPU: 0
Sep 15 10:19:03 localhost kernel: EIP is at ima_counts_put+0x2b/0x9b
Sep 15 10:19:03 localhost kernel: EAX: 00000000 EBX: f0c65efc ECX: 00000077 EDX: 00000000
Sep 15 10:19:03 localhost kernel: ESI: 00000004 EDI: 00008881 EBP: f0c65eb8 ESP: f0c65ea8
Sep 15 10:19:03 localhost kernel: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Sep 15 10:19:03 localhost kernel: Process hald-addon-stor (pid: 1158, ti=f0c64000 task=f1695700 task.ti=f0c64000)
Sep 15 10:19:03 localhost kernel: Stack:
Sep 15 10:19:03 localhost kernel: a80317ba f0c65efc fffffffa 00008881 f0c65f64 c050d065 00000000 00000000
Sep 15 10:19:03 localhost kernel: <0> 00000000 a80317ba 00000246 00000000 00000000 00008880 00000000 f25be180
Sep 15 10:19:03 localhost kernel: <0> 00000024 f0c65ef8 c040f6e1 a80317ba f0c65f10 f700fd80 c18bf270 f1695700
Sep 15 10:19:03 localhost kernel: Call Trace:
Sep 15 10:19:03 localhost kernel: [<c050d065>] ? do_filp_open+0x42a/0x747
Sep 15 10:19:03 localhost kernel: [<c040f6e1>] ? sched_clock+0x9/0xd
Sep 15 10:19:03 localhost kernel: [<c0517345>] ? alloc_fd+0xcf/0xed
Sep 15 10:19:03 localhost kernel: [<c083b591>] ? _spin_unlock+0x30/0x45
Sep 15 10:19:03 localhost kernel: [<c0517345>] ? alloc_fd+0xcf/0xed
Sep 15 10:19:03 localhost kernel: [<c04ffebf>] ? do_sys_open+0x5c/0x104
Sep 15 10:19:03 localhost kernel: [<c04fffe4>] ? sys_open+0x31/0x4a
Sep 15 10:19:03 localhost kernel: [<c04099cb>] ? sysenter_do_call+0x12/0x38
Sep 15 10:19:03 localhost kernel: Code: 55 89 e5 57 56 53 83 ec 04 0f 1f 44 00 00 89 d6 65 8b 15 14 00 00 00 89 55 f0 31 d2 83 3d 94 e8 20 c1 00 8b 40 04 8b 40 30 74 59 <0f> b7 50 72 81 e2 00 f0 00 00 81 fa 00 80 00 00 75 47 e8 98 14
Sep 15 10:19:03 localhost kernel: EIP: [<c05db849>] ima_counts_put+0x2b/0x9b SS:ESP 0068:f0c65ea8
Sep 15 10:19:03 localhost kernel: CR2: 0000000000000072
Sep 15 10:19:03 localhost kernel: ---[ end trace e3637c9198e06e41 ]---

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Mateusz M. 2009-10-05 14:50:43 UTC
Created attachment 363685 [details]
please push to lkml.org

appears after kernel 2.6.31-git12
thx

Comment 3 Chuck Ebbert 2009-10-07 22:55:49 UTC
(In reply to comment #2)
> Created an attachment (id=363685) [details]
> please push to lkml.org
> 
> appears after kernel 2.6.31-git12
> thx  

That has nothing to do with this bug report. Open a new bug, and try to capture the entire oops message. There's not enough in that one to debug anything.

Comment 4 Chuck Ebbert 2009-10-07 23:00:06 UTC
Is this oops in ima_counts_put still happening with the latest rawhide kernel?

Comment 5 Eric Paris 2009-10-07 23:18:55 UTC
Should be fixed by acd0c935....

Comment 6 Kjartan Maraas 2009-10-08 06:24:21 UTC
Have not seen this lately.


Note You need to log in before you can comment on or make changes to this bug.